Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.daohib.bpel
Class MessageDaoImpl

    java.lang.Object
      org.apache.ode.daohib.bpel.HibernateDao
          org.apache.ode.daohib.bpel.MessageDaoImpl

All Implemented Interfaces:
  MessageDAO

    public class MessageDaoImpl

extends HibernateDao
implements MessageDAO

Field Summary

Fields inherited from class org.apache.ode.daohib.bpel.HibernateDao
`_hobj, _sm`

Constructor Summary
`protected` | `MessageDaoImpl(SessionManager sessionManager, HMessage hobj)`

Method Summary
`org.w3c.dom.Element` | `getData()` Get the message data (content).
`org.w3c.dom.Element` | `getHeader()` Get the message header (content).
`javax.xml.namespace.QName` | `getType()` Get the message type (i.e.
`void` | `setData(org.w3c.dom.Element value)` Set the message data (content).
`void` | `setHeader(org.w3c.dom.Element value)` Set the message header (content).
`void` | `setType(javax.xml.namespace.QName type)` Set the message type (i.e.

Methods inherited from class org.apache.ode.daohib.bpel.HibernateDao
`equals, getDHandle, getHibernateObj, getSession, hashCode, update`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageDaoImpl

    protected MessageDaoImpl(SessionManager sessionManager,
                             HMessage hobj)

Method Detail

### setType

    public void setType(javax.xml.namespace.QName type)

  Description copied from interface: `MessageDAO`
  Set the message type (i.e. the type).

  Specified by:
    `setType` in interface `MessageDAO`

### getType

    public javax.xml.namespace.QName getType()

  Description copied from interface: `MessageDAO`
  Get the message type (i.e. the type).

  Specified by:
    `getType` in interface `MessageDAO`

### setData

    public void setData(org.w3c.dom.Element value)

  Description copied from interface: `MessageDAO`
  Set the message data (content).

  Specified by:
    `setData` in interface `MessageDAO`

### getData

    public org.w3c.dom.Element getData()

  Description copied from interface: `MessageDAO`
  Get the message data (content).

  Specified by:
    `getData` in interface `MessageDAO`

### setHeader

    public void setHeader(org.w3c.dom.Element value)

  Description copied from interface: `MessageDAO`
  Set the message header (content).

  Specified by:
    `setHeader` in interface `MessageDAO`

### getHeader

    public org.w3c.dom.Element getHeader()

  Description copied from interface: `MessageDAO`
  Get the message header (content).

  Specified by:
    `getHeader` in interface `MessageDAO`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD